const prisma = require('../../../src/prisma/PrismaClient.js');
const timeLocal = require('../../../src/utils/TimeLocal.js')

const cityNames = [
    'Kabupaten Bintan',
    'Kabupaten Karimun',
    'Kabupaten Kepulauan Anambas',
    'Kabupaten Lingga',
    'Kabupaten Natuna',
    'Kota Batam',
    'Kota Tanjung Pinang'

    // 7
];

exports.seedKepulauanRiauCities = async () => {
    const province = await prisma.province.findFirst({
        where: { name: 'Kepulauan Riau' },
    });

    if (!province) {
        console.error('❌ Province Kepulauan Riau not found. Seed it first.');
        return;
    }

    for (const name of cityNames) {
        await prisma.city.upsert({
            where: {
                name_province_id: {
                    name,
                    province_id: province.id,
                },
            },
            update: {
                updatedAt: timeLocal.now().toDate()
            },
            create: {
                name,
                province_id: province.id,
                createdAt: timeLocal.now().toDate()
            },
        });
    }

    console.log('✅ Kepulauan Riau City seeded!.');
};